Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991661 - [abrt] remmina-1.0.0-7.fc19: _XAllocID: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
Summary: [abrt] remmina-1.0.0-7.fc19: _XAllocID: Process /usr/bin/remmina was killed b...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:13d869cf1aee23cac17c76d2b03...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-03 11:32 UTC by aleksey
Modified: 2014-08-18 09:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 09:16:57 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: cgroup (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: core_backtrace (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: dso_list (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: environ (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: limits (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: maps (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: open_fds (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: proc_pid_status (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details
File: xsession_errors (deleted)
2013-08-03 11:32 UTC, aleksey
no flags Details

Description aleksey 2013-08-03 11:32:02 UTC
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: _XAllocID
executable:     /usr/bin/remmina
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug  3 15:27:56 popkov abrt[5256]: Saved core dump of pid 5250 (/usr/bin/remmina) to /var/tmp/abrt/ccpp-2013-08-03-15:27:55-5250 (36159488 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _XAllocID at xcb_io.c:529
 #5 XCreatePixmap at CrPixmap.c:56
 #6 _cairo_xlib_surface_create_similar at cairo-xlib-surface.c:311
 #7 _cairo_surface_create_similar_scratch at cairo-surface.c:470
 #8 subsurface_source at cairo-xlib-source.c:752
 #9 native_source at cairo-xlib-source.c:839
 #10 _cairo_xlib_source_create_for_pattern at cairo-xlib-source.c:1125
 #11 composite_aligned_boxes at cairo-traps-compositor.c:1272
 #12 clip_and_composite_boxes at cairo-traps-compositor.c:1766
 #13 _cairo_traps_compositor_paint at cairo-traps-compositor.c:2037

Potential duplicate: bug 923130

Comment 1 aleksey 2013-08-03 11:32:06 UTC
Created attachment 782290 [details]
File: backtrace

Comment 2 aleksey 2013-08-03 11:32:09 UTC
Created attachment 782291 [details]
File: cgroup

Comment 3 aleksey 2013-08-03 11:32:12 UTC
Created attachment 782292 [details]
File: core_backtrace

Comment 4 aleksey 2013-08-03 11:32:15 UTC
Created attachment 782293 [details]
File: dso_list

Comment 5 aleksey 2013-08-03 11:32:18 UTC
Created attachment 782294 [details]
File: environ

Comment 6 aleksey 2013-08-03 11:32:21 UTC
Created attachment 782295 [details]
File: limits

Comment 7 aleksey 2013-08-03 11:32:24 UTC
Created attachment 782296 [details]
File: maps

Comment 8 aleksey 2013-08-03 11:32:26 UTC
Created attachment 782297 [details]
File: open_fds

Comment 9 aleksey 2013-08-03 11:32:29 UTC
Created attachment 782298 [details]
File: proc_pid_status

Comment 10 aleksey 2013-08-03 11:32:32 UTC
Created attachment 782299 [details]
File: xsession_errors

Comment 11 Christoph Wickert 2014-05-22 11:35:24 UTC
Assigning bug to new package maintainer.

Comment 12 Pavel Alexeev 2014-08-18 09:16:57 UTC
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.


Note You need to log in before you can comment on or make changes to this bug.